SoGLEnvironmentElement(3)

NAME
SoGLEnvironmentElement - The SoGLEnvironmentElement class is for setting GL fog etc.

SYNOPSIS

#include <Inventor/elements/SoGLEnvironmentElement.h>

Inherits SoEnvironmentElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLEnvironmentElement ()
virtual void setElt (SoState *const state, const float ambientIntensity, const SbColor &ambientColor, const SbVec3f &attenuation, const int32_t fogType, const SbColor &fogColor, const float fogVisibility, const float fogStart)
FIXME: doc.

  Additional Inherited Members

Detailed Description

The SoGLEnvironmentElement class is for setting GL fog etc.

Constructor & Destructor Documentation

  SoGLEnvironmentElement::~SoGLEnvironmentElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLEnvironmentElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLEnvironmentElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLEnvironmentElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLEnvironmentElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLEnvironmentElement::init (SoState * state) [virtual]
Initializes the element to its default value. The defaults for the environment settings are:

SoEnvironmentElement::ambientIntensity = 0.2 SoEnvironmentElement::ambientColor = SbColor(1.0, 1.0, 1.0) SoEnvironmentElement::attenuation = SbVec3f(0.0, 0.0, 1.0) SoEnvironmentElement::fogType = SoEnvironmentElement::NONE SoEnvironmentElement::fogColor = SbColor(1.0, 1.0, 1.0) SoEnvironmentElement::fogVisibility = 0.0 SoEnvironmentElement::fogStart = 0.0

Reimplemented from SoEnvironmentElement.

  void SoGLEnvironmentElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLEnvironmentElement::setElt (SoState *const state, const float ambientIntensity, const SbColor & ambientColor, const SbVec3f & attenuation, const int32_t fogType, const SbColor & fogColor, const float fogVisibility, const float fogNear) [protected], [virtual]

FIXME: doc.

Reimplemented from SoEnvironmentElement.

Author

Generated automatically by Doxygen for Coin from the source code.